<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for UpdateImeLearnedRoutesReq StructType
 * @subpackage Structs
 */
class UpdateImeLearnedRoutesReq extends APIRequest
{
    /**
     * The uuid
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - choice: uuid | e164Did
     * - choiceMaxOccurs: 1
     * - choiceMinOccurs: 1
     * - pattern: \{........-....-....-....-............\}
     * @var string
     */
    public $uuid;
    /**
     * The e164Did
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - choice: uuid | e164Did
     * - choiceMaxOccurs: 1
     * - choiceMinOccurs: 1
     * - maxLength: 32
     * @var string
     */
    public $e164Did;
    /**
     * The adminEnabled
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - minOccurs: 0
     * - nillable: false
     * - pattern: (t)|(f)|(true)|(false)|(0)|(1)
     * @var string
     */
    public $adminEnabled;
    /**
     * Constructor method for UpdateImeLearnedRoutesReq
     * @uses UpdateImeLearnedRoutesReq::setUuid()
     * @uses UpdateImeLearnedRoutesReq::setE164Did()
     * @uses UpdateImeLearnedRoutesReq::setAdminEnabled()
     * @param string $uuid
     * @param string $e164Did
     * @param string $adminEnabled
     */
    public function __construct($uuid = null, $e164Did = null, $adminEnabled = null)
    {
        $this
            ->setUuid($uuid)
            ->setE164Did($e164Did)
            ->setAdminEnabled($adminEnabled);
    }
    /**
     * Get uuid value
     * @return string|null
     */
    public function getUuid()
    {
        return isset($this->uuid) ? $this->uuid : null;
    }
    /**
     * Set uuid value
     * This property belongs to a choice that allows only one property to exist. It is
     * therefore removable from the request, consequently if the value assigned to this
     * property is null, the property is removed from this object
     * @param string $uuid
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\UpdateImeLearnedRoutesReq
     */
    public function setUuid($uuid = null)
    {
        if (is_null($uuid) || (is_array($uuid) && empty($uuid))) {
            unset($this->uuid);
        } else {
            $this->uuid = $uuid;
        }
        return $this;
    }
    /**
     * Get e164Did value
     * @return string|null
     */
    public function getE164Did()
    {
        return isset($this->e164Did) ? $this->e164Did : null;
    }
    /**
     * Set e164Did value
     * This property belongs to a choice that allows only one property to exist. It is
     * therefore removable from the request, consequently if the value assigned to this
     * property is null, the property is removed from this object
     * @param string $e164Did
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\UpdateImeLearnedRoutesReq
     */
    public function setE164Did($e164Did = null)
    {
        if (is_null($e164Did) || (is_array($e164Did) && empty($e164Did))) {
            unset($this->e164Did);
        } else {
            $this->e164Did = $e164Did;
        }
        return $this;
    }
    /**
     * Get adminEnabled value
     * @return string|null
     */
    public function getAdminEnabled()
    {
        return $this->adminEnabled;
    }
    /**
     * Set adminEnabled value
     * @param string $adminEnabled
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\UpdateImeLearnedRoutesReq
     */
    public function setAdminEnabled($adminEnabled = null)
    {
        $this->adminEnabled = $adminEnabled;
        return $this;
    }
}
